List Outgoing Webhooks
GET
/businesses/{businessId}/outgoing-webhooks
const url = 'https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/outgoing-webhooks';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.upvio.com/v1/businesses/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/outgoing-webhooks \ --header 'Authorization: Bearer <token>'List all outgoing webhooks within a business.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” businessId
required
string format: uuid
Business ID
Responses
Section titled “ Responses ”List of Outgoing Webhooks
Media type application/json
object
data
Array<object>
Outgoing WebhookEndpoint that receives events from Upvio.
object
id
required
Unique identifier across the platform.
string format: uuid
createdAt
Time when the resource was created (ISO 8601 format).
string format: date-time
updatedAt
Time when the resource was created (ISO 8601 format).
string format: date-time
enabled
required
Only enabled webhooks will receive events.
boolean
endpoint
required
The URL that will receive events.
string
Example
{ "data": [ { "endpoint": "https://example.com/webhooks/upvio" } ]}